## ros-jazzy-tracetools 8.2.0

=== debian/changelog ===
ros-jazzy-tracetools (8.2.0-3bookworm) bookworm; urgency=high

  * Replace all occurences of index.ros.org (#114 <https://github.com/ros2/ros2_tracing/issues/114>)
  * Switch to ament_generate_version_header for tracetools (#112 <https://github.com/ros2/ros2_tracing/issues/112>)
  * Fixes for newer uncrustify (#101 <https://github.com/ros2/ros2_tracing/issues/101>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-tracetools (8.1.0-3bookworm) bookworm; urgency=high

  * Update tests and docs after new rmw_publish timestamp field (#90 <https://github.com/ros2/ros2_tracing/issues/90>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-tracetools (8.0.0-3bookworm) bookworm; urgency=high

  * Add timestamp to rmw_publish tracepoint (#74 <https://github.com/ros2/ros2_tracing/issues/74>)
  * Contributors: Christopher Wecht

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 22 Jan 2024 16:00:00 -0000

ros-jazzy-tracetools (7.1.0-3bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-jazzy-tracetools (7.0.0-3bookworm) bookworm; urgency=high

  * Add TRACETOOLS_ prefix to tracepoint-related public macros (#56 <https://github.com/ros2/ros2_tracing/issues/56>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 08 Jun 2023 16:00:00 -0000

ros-jazzy-tracetools (6.4.1-3bookworm) bookworm; urgency=high

  * Disable tracing on Android (#71 <https://github.com/ros2/ros2_tracing/issues/71>)
  * Contributors: Przemysław Dąbrowski

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 10 May 2023 16:00:00 -0000

ros-jazzy-tracetools (6.4.0-3bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools (6.3.0-3bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools (6.2.0-3bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools (6.1.0-3bookworm) bookworm; urgency=high

  * Add intra-process tracepoints (#30 <https://github.com/ros2/ros2_tracing/issues/30>)
  * Contributors: ymski

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 12 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools (6.0.0-3bookworm) bookworm; urgency=high

  * Improve tracetools rosdoc2/doxygen output (#57 <https://github.com/ros2/ros2_tracing/issues/57>)
  * Update README and other documentation (#55 <https://github.com/ros2/ros2_tracing/issues/55>)
  * Disable tracing on macOS (#53 <https://github.com/ros2/ros2_tracing/issues/53>)
  * Include tracepoints by default on Linux (#31 <https://github.com/ros2/ros2_tracing/issues/31>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools (5.1.0-3bookworm) bookworm; urgency=high

  * Explicitly link against dl for dladdr() (#48 <https://github.com/ros2/ros2_tracing/issues/48>)
  * Fix memory leak in tracetools::get_symbol() (#43 <https://github.com/ros2/ros2_tracing/issues/43>)
  * Add TRACEPOINT_ENABLED() and DO_TRACEPOINT() macros (#46 <https://github.com/ros2/ros2_tracing/issues/46>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 01 Mar 2023 16:00:00 -0000

ros-jazzy-tracetools (5.0.0-3bookworm) bookworm; urgency=high

  * Update tracing to C++17. (#33 <https://github.com/ros2/ros2_tracing/issues/33>)
  * Contributors: Chris Lalancette

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-tracetools (4.1.0-3bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME}
  * Contributors: Christophe Bedard, Shane Loretz

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 28 Mar 2022 16:00:00 -0000

ros-jazzy-tracetools (4.0.0-3bookworm) bookworm; urgency=high

  * Merge branch 'update-mentions-of-tracetools-test' into 'master'
    Update applicable mentions of tracetools_test to test_tracetools
    See merge request ros-tracing/ros2_tracing!259 <https://gitlab.com/ros-tracing/ros2_tracing/-/merge_requests/259>
  * Update applicable mentions of tracetools_test to test_tracetools
  * Merge branch 'version-3-1-0' into 'master'
    Version 3.1.0
    See merge request ros-tracing/ros2_tracing!256 <https://gitlab.com/ros-tracing/ros2_tracing/-/merge_requests/256>
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 19 Jan 2022 16:00:00 -0000

ros-jazzy-tracetools (3.1.0-3bookworm) bookworm; urgency=high

  * Correctly handle calls to TRACEPOINT() macro with no tracepoint args
  * Move publisher handle tracepoint argument from rclcpp_publish to rcl_publish
  * Add support for rmw init/pub, take, and executor instrumentation
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 10 Aug 2021 16:00:00 -0000

ros-jazzy-tracetools (3.0.0-3bookworm) bookworm; urgency=high

  * Export target on Windows and export an interface if TRACETOOLS_DISABLED
  * Remove deprecated utility functions
  * Contributors: Christophe Bedard, Ivan Santiago Paunovic

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 25 Jul 2021 16:00:00 -0000

ros-jazzy-tracetools (2.3.0-3bookworm) bookworm; urgency=high

  * Update QD to be more specific about public API
  * Namespace tracetools C++ functions and macros and deprecate current ones
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 30 Mar 2021 16:00:00 -0000

ros-jazzy-tracetools (2.2.0-3bookworm) bookworm; urgency=high

  * Add support for rcl_publish and rclcpp_publish tracepoints

